Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package reflect
  Definition Classes
    tools
- Eval
- FastStringInterpolator
- FastTrack
- FormatInterpolator
- FrontEnd
- ReflectGlobal
- ReflectMain
- StdContextTags
- StdRuntimeTags
- StdTags
- ToolBox
- ToolBoxError
- ToolBoxFactory
- WrappedProperties

c

scala.tools.reflect

# FormatInterpolator

###

#### abstract class FormatInterpolator extends AnyRef

Source
  FormatInterpolator.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
FastStringInterpolator
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FormatInterpolator
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new FormatInterpolator()

### Type Members

1.  class CharacterXn extends Conversion
2.  sealed trait Conversion extends AnyRef

   A conversion specifier matched by `m` in the string part at `pos`, with `argc` arguments to interpolate.

3.  class DateTimeXn extends Conversion
4.  class ErrorXn extends Conversion
5.  class FloatingPointXn extends Conversion
6.  class GeneralXn extends Conversion
7.  class IntegralXn extends Conversion
8.  class LiteralXn extends Conversion

### Abstract Value Members

1.  abstract val c: Context

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from FormatInterpolator toany2stringadd[FormatInterpolator] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (FormatInterpolator, B)
   Implicit
     This member is added by an implicit conversion from FormatInterpolator toArrowAssoc[FormatInterpolator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (FormatInterpolator) => Boolean, msg: => Any): FormatInterpolator
   Implicit
     This member is added by an implicit conversion from FormatInterpolator toEnsuring[FormatInterpolator] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (FormatInterpolator) => Boolean): FormatInterpolator
   Implicit
     This member is added by an implicit conversion from FormatInterpolator toEnsuring[FormatInterpolator] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): FormatInterpolator
    Implicit
      This member is added by an implicit conversion from FormatInterpolator toEnsuring[FormatInterpolator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): FormatInterpolator
    Implicit
      This member is added by an implicit conversion from FormatInterpolator toEnsuring[FormatInterpolator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from FormatInterpolator toStringFormat[FormatInterpolator] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  val fpat: Regex
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  val global: universe.type
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def interpolateF: nsc.Global.Tree
21.  def interpolated(parts: List[nsc.Global.Tree], args: List[nsc.Global.Tree]): nsc.Global.TermTree with java.io.Serializable

    Every part except the first must begin with a conversion for the arg that preceded it.

    Every part except the first must begin with a conversion for the arg that preceded it. If the conversion is missing, "%s" is inserted.

    In any other position, the only permissible conversions are the literals (%% and %n) or an index reference (%1$ or %<).

    A conversion specifier has the form:

    [index$][flags][width][.precision]conversion

    1) "...${smth}" => okay, equivalent to "...${smth}%s" 2) "...${smth}blahblah" => okay, equivalent to "...${smth}%sblahblah" 3) "...${smth}%" => error 4) "...${smth}%n" => okay, equivalent to "...${smth}%s%n" 5) "...${smth}%%" => okay, equivalent to "...${smth}%s%%" 6) "...${smth}[%legalJavaConversion]" => okay* 7) "...${smth}[%illegalJavaConversion]" => error *Legal according to https://docs.oracle.com/javase/8/docs/api/java/util/Formatter.html

22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  val stdContextTags: StdContextTags { val tc: FormatInterpolator.this.c.type }
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  val tagOfFormattable: nsc.Global.TypeTag[Formattable]
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
33.  object Conversion
34.  object SpecifierGroups extends Enumeration

### Deprecated Value Members

1.  def →[B](y: B): (FormatInterpolator, B)
   Implicit
     This member is added by an implicit conversion from FormatInterpolator toArrowAssoc[FormatInterpolator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromFormatInterpolator to any2stringadd[FormatInterpolator]

### Inherited by implicit conversion StringFormat fromFormatInterpolator to StringFormat[FormatInterpolator]

### Inherited by implicit conversion Ensuring fromFormatInterpolator to Ensuring[FormatInterpolator]

### Inherited by implicit conversion ArrowAssoc fromFormatInterpolator to ArrowAssoc[FormatInterpolator]

### Ungrouped